Bug 5774 - AIX make install doesn't install libtalloc
AIX make install doesn't install libtalloc
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.4
Other Windows XP
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 08:01 UTC by Scott DeRousse
Modified: 2011-11-23 22:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott DeRousse 2008-09-19 08:01:05 UTC
I ran:

export CC=cc
export OBJECT_MODE=64
./configure
make 
make install

with Samba 3.2.4,and it give LOTS of ld duplicate symbol names, but more importantly, when I tried to start it, it gave me an error that said libtalloc not loaded.  I went back and mannully ran:

make installlibtalloc

which fixed the problem and allowed me to start the smb service, but I suspect the install script must not be installing a required library component by default.  I'm using xlc v 10 on AIX 5.3
Comment 1 Karolin Seeger 2009-05-19 05:04:56 UTC
Michael, I think this one has been fixed meanwhile.
Comment 2 Scott DeRousse 2009-05-26 08:45:13 UTC
I just tried the same thing with the latest samba-3.3.4, and it has the same errors when I try to restart samba:

# ./S90samba start
exec(): 0509-036 Cannot load program /usr/local/samba/sbin/smbd because of the following errors:
        0509-150   Dependent module libtalloc.so could not be loaded.
        0509-022 Cannot load module libtalloc.so.
        0509-026 System error: A file or directory in the path name does not exist.
exec(): 0509-036 Cannot load program /usr/local/samba/sbin/nmbd because of the following errors:
        0509-150   Dependent module libtalloc.so could not be loaded.
        0509-022 Cannot load module libtalloc.so.
        0509-026 System error: A file or directory in the path name does not exist.
Comment 3 Guenther Deschner 2009-08-06 09:15:55 UTC
Michael, is this resolved already ?
Comment 4 Björn Jacke 2011-11-23 22:27:49 UTC
just had a look at 3.6 using gmake - libtalloc was installed by "make install"